Skip to content

Get suppliers ​

GET
/v1/suppliers

Gets a list of suppliers

Authorizations​

api_key
Type
API Key (header: X-Api-Key)

Parameters​

Query Parameters

sorting
Type
string
Default
null
page_size

Number of items per page

Type
integer
Default
50
page

Current page

Type
integer
Default
1
supplier_id
Type
string
event_id
Type
string
supplier_name
Type
string
supplier_role
Type
string
purchase_channel

Filter by purchase channel (manual or automatic)

Default
null
created

Filter by supplier creation date (supports operators such as ge:, le:, gt:, lt:)

Type
string

Responses​

OK

application/json
JSON
{
  
"suppliers": [
  
  
{
  
  
  
"name": null,
  
  
  
"supplier_role": null,
  
  
  
"supplier_id": null,
  
  
  
"vat_number": null,
  
  
  
"member_state": null,
  
  
  
"general_terms": null,
  
  
  
"xs2ticket_checkout": "lead_guest",
  
  
  
"iso_country": null,
  
  
  
"default_discount_share": null,
  
  
  
"default_discount_percentage": null,
  
  
  
"default_currency": null,
  
  
  
"purchase_channel": "manual",
  
  
  
"supplier_status": "active",
  
  
  
"selfmanage_products": false,
  
  
  
"foreign_vat_numbers": {
  
  
  
  
"additionalProperties": "string"
  
  
  
},
  
  
  
"created": null,
  
  
  
"url_website": null,
  
  
  
"general_contact": {
  
  
  
  
"firstname": null,
  
  
  
  
"lastname": null,
  
  
  
  
"phonenumber": null,
  
  
  
  
"email": null
  
  
  
},
  
  
  
"emergency_contact": {
  
  
  
  
"firstname": null,
  
  
  
  
"lastname": null,
  
  
  
  
"phonenumber": null,
  
  
  
  
"email": null
  
  
  
},
  
  
  
"other_contact": {
  
  
  
  
"firstname": null,
  
  
  
  
"lastname": null,
  
  
  
  
"phonenumber": null,
  
  
  
  
"email": null
  
  
  
},
  
  
  
"technical_contact": {
  
  
  
  
"firstname": null,
  
  
  
  
"lastname": null,
  
  
  
  
"phonenumber": null,
  
  
  
  
"email": null
  
  
  
},
  
  
  
"distributors_disabled": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"distributors_enabled": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"emails": [
  
  
  
],
  
  
  
"invoice_address": {
  
  
  
  
"country": null,
  
  
  
  
"city": null,
  
  
  
  
"province": null,
  
  
  
  
"number": null,
  
  
  
  
"postalcode": null,
  
  
  
  
"streetname": null,
  
  
  
  
"streetname2": null,
  
  
  
  
"latitude": null,
  
  
  
  
"longitude": null
  
  
  
},
  
  
  
"allowed_distribution_channel_types": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"allowed_distribution_channels": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"allowed_distribution_channel_accesstypes": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"allowed_distribution_methods": [
  
  
  
  
"string"
  
  
  
],
  
  
  
"signed_platform_agreement_date": null,
  
  
  
"signed_platform_agreement_version": null
  
  
}
  
],
  
"pagination": {
  
  
"total_size": 1,
  
  
"page_size": 50,
  
  
"page_number": 1,
  
  
"next_page": "string",
  
  
"previous_page": "string"
  
}
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​